SET FEEDBACK OFF
ALTER TABLE GGG_LIST_OF_REAL_A ADD (CONSTRAINT fk_GGG_LIST_OF_REAL_A1
   FOREIGN KEY (GGG_S)
   REFERENCES GGG (INSTANCE_S));
ALTER TABLE GGG_LIST_OF_STRING_A ADD (CONSTRAINT fk_GGG_LIST_OF_STRING_A1
   FOREIGN KEY (GGG_S)
   REFERENCES GGG (INSTANCE_S));
ALTER TABLE FFF ADD (CONSTRAINT fk_FFF1
   FOREIGN KEY (CCC_FORWARD_TO_BBB)
   REFERENCES BBB (BBB_MANDATORY_IDENTIFIER));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG1
   FOREIGN KEY (CCC_FORWARD_TO_BBB)
   REFERENCES BBB (BBB_MANDATORY_IDENTIFIER));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG2
   FOREIGN KEY (GGG_ANGLE_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG3
   FOREIGN KEY (GGG_ANYQUANTITY_Q)
   REFERENCES R_QUANTITY_TYPE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG4
   FOREIGN KEY (GGG_ANYQUANTITY_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG5
   FOREIGN KEY (GGG_FORWARD_TO_FFF_S)
   REFERENCES FFF (INSTANCE_S));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG6
   FOREIGN KEY (GGG_LOCATION_1D_1_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG7
   FOREIGN KEY (GGG_LOCATION_1D_CS_S)
   REFERENCES COORDINATE_SYSTEM (INSTANCE_S));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG8
   FOREIGN KEY (GGG_LOCATION_2D_1_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG9
   FOREIGN KEY (GGG_LOCATION_2D_2_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG10
   FOREIGN KEY (GGG_LOCATION_2D_CS_S)
   REFERENCES COORDINATE_SYSTEM (INSTANCE_S));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG11
   FOREIGN KEY (GGG_LOCATION_3D_1_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG12
   FOREIGN KEY (GGG_LOCATION_3D_2_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG13
   FOREIGN KEY (GGG_LOCATION_3D_3_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG14
   FOREIGN KEY (GGG_LOCATION_3D_CS_S)
   REFERENCES COORDINATE_SYSTEM (INSTANCE_S));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG15
   FOREIGN KEY (GGG_LOCATION_ND_1_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG16
   FOREIGN KEY (GGG_LOCATION_ND_2_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG17
   FOREIGN KEY (GGG_LOCATION_ND_3_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG18
   FOREIGN KEY (GGG_LOCATION_ND_4_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG19
   FOREIGN KEY (GGG_LOCATION_ND_5_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG20
   FOREIGN KEY (GGG_LOCATION_ND_CS_S)
   REFERENCES COORDINATE_SYSTEM (INSTANCE_S));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG21
   FOREIGN KEY (GGG_MONEY_U)
   REFERENCES R_CURRENCY_UNIT (SOMETHING));
ALTER TABLE GGG ADD (CONSTRAINT fk_GGG22
   FOREIGN KEY (GGG_QUANTITY_U)
   REFERENCES R_UNIT_OF_MEASURE (SOMETHING));
ALTER TABLE EEE_FORWARD_TO_HHH_X ADD (CONSTRAINT fk_EEE_FORWARD_TO_HHH_X1
   FOREIGN KEY (EEE_FORWARD_TO_HHH_S)
   REFERENCES FFF (INSTANCE_S));
ALTER TABLE EEE_FORWARD_TO_HHH_X ADD (CONSTRAINT fk_EEE_FORWARD_TO_HHH_X2
   FOREIGN KEY (HHH_INVERSE_FROM_EEE_S)
   REFERENCES BBB (INSTANCE_S));

exit;
